# OpenGnsys - Changelog v3.0.0 (19 May 2025)

## Version Summary

This major release introduces significant improvements in all OpenGnsys components, including a new boot system, an updated cloning engine, Git integration, a redesigned administration interface, and a new universal installer.

---

## Core Components

### OpenGnsys Boot (ogBoot) v0.7.0

#### Boot System
- Optimized services associated with PXE
- Implemented a new, lighter, and faster ogLive with updated drivers
- Added an ogLive generation tool with support for Engine, Browser, and Agent dependencies

### ogLive v3.3.0

#### Interface and Browser
- Introduced new OpenGnsys Browser with kiosk mode
- Added full support for HTML5/CSS/JavaScript (ogBrowser)

#### Cloning Engine v0.10.0
- Restructured the OpenGnsys Cloning Engine and partially migrated it to Python
- Ensured exclusive use of open source components

#### OpenGnsys Agent v5.3.0
- Implemented ogAgent for Windows, Linux, Mac, and ogLive developed in Python

#### General Features
- Implemented calendar management for remote use of machines

---

## OpenGnsys Repository v0.8.1

#### Repository Improvements
- Expanded the functionalities of the OpenGnsys Repository
- Integrated with other system modules via REST API

#### Transfers
- Optimized transfer methods: Unicast, Multicast, and P2P
- Updated image transfer protocols

#### API and Security
- Expanded functionalities through REST API
- TLS encryption for all APIs

#### Git Management
- Implemented features for Git-synchronized images
- Integrated Forgejo for advanced repository management via web interface
- Added functions to create and select Git repositories

#### Git Integration v0.51
- Improved functions in Git.lib for cloning and restoration
- Implemented a Python function library
- Added automatic Git repository creation during installation
- Incorporated synchronization between Git repositories and partitions

---

## Administration Web Interface (GUI) v0.12.0

#### Interface
- Completely redesigned the web interface with responsive design
- Retained all previous functionalities
- Improved visual experience and usability

#### Modularity
- Implemented modular system management
- Incorporated advanced roles and permissions system
- Added tag-based search

#### Centralized Management (ogCore v0.12.1)
- Unified administration of all components from the web
- Removed the need for command line for routine tasks

#### Actions
- Implemented new action management system by agent type
- Added grouping into composite actions
- Incorporated full action history
- Implemented pending “required” actions
- Added wizard for predefined actions and advanced mode

#### Clients
- Developed new hierarchical structure for groups
- Simplified group membership management
- Added support for heterogeneous groups
- Implemented configuration inheritance for deployment
- Incorporated grid view
- Added concept of dynamic “view” based on criteria

#### Repositories and Images
- Reorganized into group structure
- Implemented distinction between image types
- Improved information display for clients
- Added support for multiple simultaneous repositories
- Incorporated granular permissions and recycle bin
- Implemented advanced searches and repository migration

#### Profiles
- Added advanced criteria searches
- Implemented referential naming for profiles
- Incorporated relationships between profiles for comparison

#### Monitoring
- Developed notification system
- Added configurable statistics
- Implemented contextual help
- Unified communication via OpenGnsys Core

---

## OpenGnsys Log Service

#### Logging System
- Implemented REST API for full integration
- Centralized log storage and management
- Incorporated collection agents
- Added database processing (OpenSearch)

#### Visualization
- Developed adaptive interface
- Implemented advanced filtering options
- Added results export

---

## Universal Installer

#### Scripts
- Updated existing scripts with display of available versions
- Added compatibility check

#### Installers
- Developed unified graphical installer with progress bar
- Implemented full management options (installation, upgrade, removal)
- Added database import/export
- Created Debian/Ubuntu package repository
